package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.ObjRes;
import org.apache.ibatis.annotations.Mapper;

/** 水库对象 Mapper */
@Mapper
public interface ObjResMapper {
    /**
     * 查询水库对象列表
     * 
     * @param objRes 查询条件
     * @return 水库对象列表
     */
    public List<ObjRes> selectObjResList(ObjRes objRes);

    /**
     * 通过编码查询水库对象
     * 
     * @param resCode 水库编码
     * @return 水库对象
     */
    public ObjRes selectObjResById(String resCode);

    /**
     * 通过编码删除水库对象
     * 
     * @param resCode 水库编码
     * @return 影响行数
     */
    public int deleteObjResById(String resCode);

    /**
     * 新增水库对象
     * 
     * @param objRes 水库对象
     * @return 影响行数
     */
    public int insertObjRes(ObjRes objRes);

    /**
     * 修改水库对象
     * 
     * @param objRes 水库对象
     * @return 影响行数
     */
    public int updateObjRes(ObjRes objRes);
}
